Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSGIStyle Class Reference

The QSGIStyle class provides SGI/Irix look and feel. More...

`#include <qsgistyle.h>`

Inherits QMotifStyle.

List of all member functions.

## Public Members

- QSGIStyle ( bool useHighlightCols = FALSE )
- virtual ~QSGIStyle ()

## Detailed Description

The QSGIStyle class provides SGI/Irix look and feel.

This class implements the SGI look and feel. It resembles the SGI/Irix Motif GUI style as closely as QStyle allows.

See also Widget Appearance and Style.

## Member Function Documentation

### QSGIStyle::QSGIStyle ( bool useHighlightCols = FALSE )

Constructs a QSGIStyle.

If useHighlightCols is FALSE (default value), the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

See also QMotifStyle::useHighlightColors().

### QSGIStyle::~QSGIStyle ()`[virtual]`

Destroys the style.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.